Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.simulation.java
Class JavaSimulationEngine

    java.lang.Object
      com.beanexplorer.beans.Option
          biouml.plugins.simulation.SimulationEngine
              biouml.plugins.simulation.java.JavaSimulationEngine

public class JavaSimulationEngine
extends SimulationEngine

Nested Class Summary

Nested classes inherited from class biouml.plugins.simulation.SimulationEngine
`SimulationEngine.VariableType`

Field Summary
`protected JavaFormatter` | `formatter`
`int` | `length`

Fields inherited from class biouml.plugins.simulation.SimulationEngine
`absTolerance, childResources, currentIndent, DEFAULT_ABSOLUTE_TOLERANCE, DEFAULT_RELATIVE_TOLERANCE, diagram, endl, equationList, equationMap, executableModel, hasConstVariables, log, macros, modelType, needToShowPlot, outputDir, parentResources, relTolerance, resources, solverName, srcDir, status, tab, tab2, tab3, tab4, usedVariableList, writer`

Fields inherited from class com.beanexplorer.beans.Option
`notificationEnabled, propagationEnabled`

Constructor Summary
`JavaSimulationEngine()`

Method Summary
`void` | `fillSimulationResult(SimulationResult res)`
`java.io.File[]` | `generateModel()`
`java.lang.String` | `generateVariableCodeName(int n)`
`protected java.lang.String` | `getDelimiters()`
`Formatter` | `getFormatter()` Returns formatter corresponding for given engine.
`DiagramElement` | `processError(java.lang.String err, java.lang.String fileName, int row, int column)`
`java.lang.String` | `simulate(java.io.File[] files)`
`protected void` | `writeAssignmentImpl(java.lang.String variable, java.lang.String expression, Role role, boolean declare)`
`protected void` | `writeCalculation()`
`void` | `writeComment(java.lang.String comment)`
`void` | `writeExtend()`
`void` | `writeGetNextTransition()`
`protected void` | `writeNextTransition()`
`void` | `writeProcessTransitionAfter()`
`protected void` | `writeTransition(State currentState, Transition transition)`
`protected void` | `writeUtilityFiles(java.lang.String outDir, boolean rewrite)`

Methods inherited from class biouml.plugins.simulation.SimulationEngine
`clearContext, containsDelays, error, error, error, findVariable, getAbsTolerance, getCompletionTime, getDiagram, getExecutableModel, getInitialTime, getNeedToShowPlot, getOutputDir, getQualifiedName, getRelTolerance, getResourceBundle, getResourceString, getScalarEquations, getSolverName, getTimeIncrement, init, initAlgebraic, initMath, initResources, isSignificantVariable, normalize, parseAssignments, parseEquation, processMath, processVarNode, setAbsTolerance, setCompletionTime, setDiagram, setInitialTime, setNeedToShowPlot, setOutputDir, setRelTolerance, setSolverName, setTimeIncrement, warn, writeAssignment, writeFile, writeFunctionDeclarations, writeInitialStateEntering, writeMath, writeRateEquation, writeRules, writeRulesImpl, writeScalarRule, writeSignificantRules`

Methods inherited from class com.beanexplorer.beans.Option
`addPropertyChangeListener, copyListenersTo, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getParent, isNotificationEnabled, isPropagationEnabled, removePropertyChangeListener, setNotificationEnabled, setParent, setPropagationEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### formatter

    protected JavaFormatter formatter

### length

    public int length

Constructor Detail

### JavaSimulationEngine

    public JavaSimulationEngine()

Method Detail

### getFormatter

    public Formatter getFormatter()

  Description copied from class: `SimulationEngine`
  Returns formatter corresponding for given engine.

  Specified by:
    `getFormatter` in class `SimulationEngine`

### processError

    public DiagramElement processError(java.lang.String err,
                                       java.lang.String fileName,
                                       int row,
                                       int column)

### generateVariableCodeName

    public java.lang.String generateVariableCodeName(int n)

  Specified by:
    `generateVariableCodeName` in class `SimulationEngine`

### generateModel

    public java.io.File[] generateModel()
                                 throws java.lang.Exception

  Specified by:
    `generateModel` in class `SimulationEngine`
  Throws:
    `java.lang.Exception`

### writeUtilityFiles

    protected void writeUtilityFiles(java.lang.String outDir,
                                     boolean rewrite)
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### simulate

    public java.lang.String simulate(java.io.File[] files)
                              throws java.lang.Exception

  Specified by:
    `simulate` in class `SimulationEngine`
  Throws:
    `java.lang.Exception`

### fillSimulationResult

    public void fillSimulationResult(SimulationResult res)
                              throws java.lang.Exception

  Overrides:
    `fillSimulationResult` in class `SimulationEngine`
  Throws:
    `java.lang.Exception`

### writeAssignmentImpl

    protected void writeAssignmentImpl(java.lang.String variable,
                                       java.lang.String expression,
                                       Role role,
                                       boolean declare)

  Overrides:
    `writeAssignmentImpl` in class `SimulationEngine`

### writeComment

    public void writeComment(java.lang.String comment)

  Specified by:
    `writeComment` in class `SimulationEngine`

### writeExtend

    public void writeExtend()

### writeCalculation

    protected void writeCalculation()

### writeTransition

    protected void writeTransition(State currentState,
                                   Transition transition)

  Overrides:
    `writeTransition` in class `SimulationEngine`

### writeNextTransition

    protected void writeNextTransition()

### writeGetNextTransition

    public void writeGetNextTransition()

### writeProcessTransitionAfter

    public void writeProcessTransitionAfter()

### getDelimiters

    protected java.lang.String getDelimiters()

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.